%global api 0.2

Summary:        GLib/GObject wrapper for the Facebook Graph API
Name:           gfbgraph
Version:        %{api}.4
Release:        3%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/GFBGraph
Source0:        https://download.gnome.org/sources/%{name}/%{api}/%{name}-%{version}.tar.xz
Patch3000:      %{name}-Fix-CVE-2021-39358-by-forcing-TLS-certificate-valida.patch

BuildRequires:  make autoconf automake libtool
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(glib-2.0) pkgconfig(gobject-2.0)
BuildRequires:  gobject-introspection-devel gtk-doc pkgconfig(goa-1.0)
BuildRequires:  pkgconfig(json-glib-1.0) pkgconfig(libsoup-2.4) pkgconfig(rest-0.7)
Requires:       gobject-introspection

%description
This package provides a GLib/GObject wrapper for the Facebook Graph API that integrates with 
GNOME Online Accounts.

%package        devel
Summary:        Development files for %{name}
Requires:       gobject-introspection-devel
Requires:       %{name} = %{version}-%{release}

%description    devel
This package provides libraries and header files for developing applications that use %{name}.


%prep
%autosetup -p1


%build
gtkdocize
autoreconf -iv
%configure \
  --disable-silent-rules \
  --disable-static \
  --disable-gtk-doc \
  --enable-introspection

# reomve unused library
sed --in-place --expression 's! -shared ! -Wl,--as-needed\0!g' libtool

%make_build


%install
%make_install

find %{buildroot} -name '*.la' -delete
rm -rf %{buildroot}%{_prefix}/doc


%files
%license COPYING
%doc AUTHORS NEWS README
%{_libdir}/lib%{name}-%{api}.so.*
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/GFBGraph-%{api}.typelib

%files devel
%dir %{_includedir}/%{name}-%{api}
%{_includedir}/%{name}-%{api}/%{name}
%{_libdir}/lib%{name}-%{api}.so
%{_libdir}/pkgconfig/libgfbgraph-%{api}.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/GFBGraph-%{api}.gir


%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.4-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.4-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Mar 21 2023 Wang Guodong <gordonwwang@tencent.com> - 0.2.4-1
- package init.
